- MongoDB C Driver 1.13.1 »
- API Reference »
- mongoc_uri_t

# mongoc_uri_get_service()

## Synopsis

    const char *
    mongoc_uri_get_service (const mongoc_uri_t *uri);

## Parameters

- `uri`: A mongoc_uri_t.

## Description

Returns the SRV service name of a MongoDB URI.

## Returns

A string if this URI’s scheme is “mongodb+srv://”, or NULL if the scheme is “mongodb://”.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.